submissions_list
const url = 'https://example.com/api/submissions';const options = { method: 'GET', headers: { 'X-Workspace': '2489E9AD-2EE2-8E00-8EC9-32D5F69181C0', Authorization: 'Bearer <token>' }};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/submissions \ --header 'Authorization: Bearer <token>' \ --header 'X-Workspace: 2489E9AD-2EE2-8E00-8EC9-32D5F69181C0'List the information related to all the submission objects.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Workspace ID
Query Parameters
Section titled “Query Parameters”Which field to use when ordering the results.
A page number within the paginated result set.
Number of results to return per page.
A search term.
Responses
Section titled “Responses”object
Lightweight serializer for submission list responses.
object
Return information about the data related to a given object.
Parameters
obj : object The object for which to retrieve the related data.
Returns
dict A dictionary containing: - “count”: The count of data related to the object. - “related”: The URL for accessing the related data.
object
Return settings information for a submission.
Parameters
obj : Submission The submission object.
Returns
dict A dictionary containing the settings count and related URL.
object
Return a slim connection summary for list views.
Avoids hydrating the full ConnectionSubmissionSerializer per row.
object
Retrieve all external identifiers for the given submission object.
Parameters
obj : Submission The submission object.
Returns
list[dict] The serialized data of the external identifier.
object
Return the interactor information of the object’s creator.
Parameters
obj : object The object containing the creator information.
Returns
dict The interactor information of the creator.
object
Return information about the last interactor who edited the object.
Parameters
obj : object The object containing the last editor information.
Returns
dict The interactor information of the last editor.
object
Example
{ "count": 123, "next": "http://api.example.org/accounts/?p=4", "previous": "http://api.example.org/accounts/?p=2", "results": [ { "status": "draft", "error_reason": "submission_failed" } ]}object
object
Example
{ "code": "query_validation_error", "message": "Invalid query parameters. Check the `details` property for more details.", "details": [ { "parameter": "<parameter_name>", "code": "does_not_exist", "message": "\"<parameter_value>\" does not exist." } ]}
